using Corti.Documents;
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Documents.Templates.ListAsync(new GuidedTemplatesListRequest());
Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections.
Use query parameters to filter by language, region, specialty, label, publish status, or source.
using Corti.Documents;
using Corti;
var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Documents.Templates.ListAsync(new GuidedTemplatesListRequest());
Filter by source. Omit to return both. user returns only user/client-created templates; corti returns only Corti standard templates.
Filter by content source.
Present when the template has been deleted. GET by ID still returns the full resource with this field populated.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Corti API Documentation","description":"Explore product documentation, quickstart guides, tutorials, release notes, and detailed API references to build with Corti API. Leverage full stack AI to unlock workflows with speech to text, text generation, agentic framework, embedded Corti Assistant and more.","colors":{"primary":"#3F3F46","light":"#F4F4F5","dark":"#18181B"},"logo":{"light":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_light.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=effbca890e531e034f6b66ce8e15aa6c","dark":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_dark.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=39e1b8245783318adebc44f1548aee0d"},"favicon":"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/favicon-docs.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=1971ff0d52cd65b9f56d059bc6457848","api":{"playground":{"display":"simple"},"examples":{"languages":["curl","javascript","csharp","python","php","go","java"]},"mdx":{"auth":{"method":"bearer"}}},"background":{"color":{"light":"#FFFFFF","dark":"#09090B"}},"navbar":{"links":[{"href":"https://help.corti.app/","label":"Support"}],"primary":{"type":"button","label":"Start Building","href":"https://console.corti.app/signup"}},"footer":{"socials":{"website":"https://www.corti.ai","x":"https://x.com/corti_ai","linkedin":"https://www.linkedin.com/company/corti","github":"https://github.com/corticph","youtube":"https://www.youtube.com/@cortiai"}},"fonts":{"heading":{"family":"Booton","weight":600},"body":{"family":"Booton","weight":400}},"icons":{"library":"lucide"},"integrations":{"gtm":{"tagId":"GTM-MR3DSSF2"},"intercom":{"appId":"y30epli4"}},"banner":{"content":"Corti Models is now available: frontier AI on sovereign infrastructure, through an OpenAI-compatible API. [Get started](/models/welcome).","dismissible":true},"errors":{"404":{"redirect":false,"title":"Page not found","description":"The page you're looking for doesn't exist or may have moved. Use the search bar above, or start from one of these pages:\n\n- [Get started](/get_started/welcome)\n- [Corti Models](/models/welcome)\n- [Agentic Framework](/agentic/overview)\n- [Speech to Text](/stt/overview)\n- [Clinical Text Generation](/textgen/overview)\n- [Medical Coding](/coding/overview)\n- [Clinical Assistant](/assistant/welcome)\n- [API Reference](/api-reference/welcome)"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"corti","hasAudioNarration":false,"actualSubdomain":"corti","customDomains":["docs.corti.ai"],"gitSource":{"type":"github","owner":"corticph","repo":"docs_corti","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae9e9a807405bf5d5962d53","collectionId":"4dcb83c2-ac0d-4dcb-81f6-3ed8cd1a3b9c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae9e9a807405bf5d5962d53"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9e9a807405bf5d5962d53","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Healthcare","count":209},{"language":"default","tag":"API Reference","count":141},{"language":"default","tag":"Clinical Assistant","count":117},{"language":"default","tag":"Events","count":85},{"language":"default","tag":"Event Reference","count":84},{"language":"default","tag":"REST APIs","count":60},{"language":"default","tag":"Agentic Framework","count":51},{"language":"default","tag":"Home","count":49},{"language":"default","tag":"Speech to Text","count":48},{"language":"default","tag":"Clinical Text Generation","count":47}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":false,"enableAskAiSearchBar":false,"deflection":{"enabled":true,"email":"help@corti.ai"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Regular.woff2\") format(\"woff2\");font-style:normal;font-weight:400;font-display:swap}@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Medium.woff2\") format(\"woff2\");font-style:normal;font-weight:500;font-display:swap}@font-face{font-family:\"Booton\";src:url(\"/fonts/booton/Booton-Semibold.woff2\") format(\"woff2\");font-style:normal;font-weight:600;font-display:swap}:root{--corti-font-sans: \"Booton\", \"Inter\", ui-sans-serif, system-ui, -apple-system, \"Segoe UI\", Roboto, \"Helvetica Neue\", Arial, \"Noto Sans\", sans-serif;--mintlify-slot-header-height: 7rem}html,body{font-family:var(--corti-font-sans);font-weight:400;-webkit-font-smoothing:antialiased}body :not(code):not(code *):not(pre):not(pre *):not(kbd):not(kbd *):not(samp):not(samp *){font-family:var(--corti-font-sans)}h1,h2,h3,h4,h5,h6{font-family:var(--corti-font-sans);font-weight:600!important;color:var(--tw-prose-headings, #18181b)!important}:is(html.dark,.dark) h1,:is(html.dark,.dark) h2,:is(html.dark,.dark) h3,:is(html.dark,.dark) h4,:is(html.dark,.dark) h5,:is(html.dark,.dark) h6{color:#fafafa!important}:is(html.dark,.dark) [data-component-part=\"step-title\"]{color:#fafafa!important}a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group>span.absolute.inset-0{background-color:#18181b!important}:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group>span.absolute.inset-0{background-color:#fafafa!important}:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group .z-10,:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group .z-10 *,:is(html.dark,.dark) a[target=\"_blank\"][href=\"https://console.corti.app/signup\"].group svg{color:#18181b!important}[data-component-part=\"card-content-container\"]{align-items:flex-start!important}.card [data-component-part=\"card-content\"]>.code-block:last-child{margin-bottom:0!important}[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"]{width:24px!important;height:24px!important;min-width:24px;min-height:24px;display:inline-flex;align-items:center;justify-content:center;margin-top:2px}[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"] svg,[data-component-part=\"card-content-container\"]>div[class*=\"h-6\"][class*=\"w-6\"] img{width:24px!important;height:24px!important}:is(html.dark,.dark) .card [data-component-part=\"card-title\"],:is(html.dark,.dark) .card [data-component-part=\"card-title\"] a,:is(html.dark,.dark) .card h2 a,:is(html.dark,.dark) .card h3 a,:is(html.dark,.dark) .card h4 a,:is(html.dark,.dark) .card a[href].font-semibold{color:#fafafa!important}:is(html.dark,.dark) .card [data-component-part=\"card-title\"] a:visited,:is(html.dark,.dark) .card h2 a:visited,:is(html.dark,.dark) .card h3 a:visited,:is(html.dark,.dark) .card h4 a:visited,:is(html.dark,.dark) .card a[href].font-semibold:visited{color:#fafafa!important}.nav-tag-pill-text[data-nav-tag=\"beta\"],[data-nav-tag=\"beta\"].nav-tag-pill-text{background-color:#b8f818!important;border:none!important;color:#18181b!important;text-transform:uppercase!important;font-weight:600!important}#navigation-items{padding-bottom:9rem}.accent-badge{background-color:#b8f818!important;border:none!important;color:#18181b!important;text-transform:uppercase!important;font-weight:600!important}.mdx-content li strong{font-weight:600!important}.mdx-content [class*=\"overflow-x-auto\"]{overflow-x:visible!important}.mdx-content [class*=\"w-[calc(100%+(var(--page-padding)*2))]\"]{width:100%!important}.mdx-content [class*=\"-mx-[var(--page-padding)]\"]{margin-left:0!important;margin-right:0!important}.mdx-content [class*=\"max-w-none\"]{max-width:100%!important}.mdx-content .table{display:block!important}.mdx-content table{width:100%!important;max-width:100%!important;min-width:0!important;table-layout:auto;border-collapse:collapse;box-sizing:border-box;margin:0}.mdx-content table th,.mdx-content table td{min-width:0!important;vertical-align:top}.mdx-content table th,.mdx-content table th *{white-space:normal;overflow-wrap:normal!important;word-break:normal!important;hyphens:manual}.mdx-content table th,.mdx-content table th *,.mdx-content table strong{font-weight:600!important}.mdx-content table td{white-space:normal;overflow-wrap:break-word;word-break:normal;hyphens:manual}.mdx-content table code,.mdx-content table kbd,.mdx-content table samp{white-space:nowrap;overflow-wrap:normal;word-break:keep-all}.mdx-content table td code,.mdx-content table td kbd,.mdx-content table td samp{white-space:normal;overflow-wrap:normal;word-break:normal}.mdx-content table td a{white-space:normal;overflow-wrap:break-word;word-break:normal;hyphens:manual}.mdx-content .capabilities-table table th:first-child,.mdx-content .capabilities-table table td:first-child,.mdx-content .capabilities-table table th:last-child,.mdx-content .capabilities-table table td:last-child,.mdx-content .capabilities-table table td:first-child a,.mdx-content .capabilities-table table td:last-child a{white-space:nowrap}.mdx-content table img,.mdx-content table svg{max-width:100%;height:auto;display:block}.mdx-content [data-component-part=\"code-block-root\"]{width:100%!important;max-width:100%!important;overflow-x:auto!important;-webkit-overflow-scrolling:touch}.mdx-content [data-component-part=\"code-block-root\"][class*=\"overflow-x-auto\"]{overflow-x:auto!important}.mdx-content [data-component-part=\"code-block-root\"] pre,.mdx-content [data-component-part=\"code-block-root\"] code,.mdx-content [data-component-part=\"code-block-root\"] .shiki,.mdx-content [data-component-part=\"code-block-root\"] .shiki .line,.mdx-content [data-component-part=\"code-block-root\"] .shiki .line>span{white-space:pre!important;word-break:normal!important;overflow-wrap:normal!important}.mdx-content [data-component-part=\"code-block-root\"] pre>code>span.line-diff{min-width:max-content!important}:not(pre)>code{background-color:rgba(0,0,0,0.03);border:1px solid rgba(0,0,0,0.08);border-radius:6px;padding:0.15em 0.4em;font-size:0.875em;color:inherit}:is(html.dark,.dark) :not(pre)>code{background-color:rgba(255,255,255,0.08);border:1px solid rgba(255,255,255,0.08);color:#fafafa}html:not(.dark) .mdx-content [data-component-part=\"code-block-root\"] .line-highlight,html:not(.dark) .mdx-content [data-component-part=\"code-block-root\"] .line-highlight::before{background-color:rgba(115, 115, 115, 0.16)!important}:is(html.dark,.dark) g.node.nodeNeutral span,:is(html.dark,.dark) g.node.nodeNeutral .label,:is(html.dark,.dark) g.node.nodeNeutral .label text,:is(html.dark,.dark) g.node.nodeGray span,:is(html.dark,.dark) g.node.nodeGray .label,:is(html.dark,.dark) g.node.nodeGray .label text,:is(html.dark,.dark) g.node.nodeBlue span,:is(html.dark,.dark) g.node.nodeBlue .label,:is(html.dark,.dark) g.node.nodeBlue .label text,:is(html.dark,.dark) g.node.nodeGreen span,:is(html.dark,.dark) g.node.nodeGreen .label,:is(html.dark,.dark) g.node.nodeGreen .label text,:is(html.dark,.dark) g.node.nodeYellow span,:is(html.dark,.dark) g.node.nodeYellow .label,:is(html.dark,.dark) g.node.nodeYellow .label text,:is(html.dark,.dark) g.node.nodeCyan span,:is(html.dark,.dark) g.node.nodeCyan .label,:is(html.dark,.dark) g.node.nodeCyan .label text,:is(html.dark,.dark) g.node.nodePurple span,:is(html.dark,.dark) g.node.nodePurple .label,:is(html.dark,.dark) g.node.nodePurple .label text,:is(html.dark,.dark) g.node.nodeLightPurple span,:is(html.dark,.dark) g.node.nodeLightPurple .label,:is(html.dark,.dark) g.node.nodeLightPurple .label text{color:#1a1a1a!important;fill:#1a1a1a!important}img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(32%)}a[aria-current=\"location\"] img[src$=\"embedded-assistant.svg\"],a:hover img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(15%)}:is(html.dark,.dark) img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(63%)}:is(html.dark,.dark) a[aria-current=\"location\"] img[src$=\"embedded-assistant.svg\"],:is(html.dark,.dark) a:hover img[src$=\"embedded-assistant.svg\"]{filter:brightness(0) invert(88%)}.errors-tabs [role=\"tablist\"] [role=\"tab\"],.errors-tabs [role=\"tablist\"] [role=\"tab\"] *,.errors-tabs [role=\"tablist\"] button,.errors-tabs [role=\"tablist\"] button *{font-weight:800!important;font-size:1.05em!important}"}],"page":{"pagePath":"api-reference/guided-templates/list-templates","slug":"/api-reference/guided-templates/list-templates","pageMetadata":{"title":"List templates","description":"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections.\nUse query parameters to filter by language, region, specialty, label, publish status, or source.\n","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/","href":"/api-reference/guided-templates/list-templates","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections.\\nUse query parameters to filter by language, region, specialty, label, publish status, or source.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List templates","description":"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections.\nUse query parameters to filter by language, region, specialty, label, publish status, or source.\n","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/","href":"/api-reference/guided-templates/list-templates","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/corti/f39b9e0170d6232a/api-reference/corti.js","/_mintlify/custom/corti/8c15918c79eb9f3c/generate-events-nav.js"],"openApiReferenceData":{"operation":{"tags":["Guided Templates"],"summary":"List templates","description":"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections.\nUse query parameters to filter by language, region, specialty, label, publish status, or source.\n","operationId":"guided_templates_list","parameters":["55dbeb69-2144-4ada-a483-5dddcabb621b","94d03c8e-cf8f-4c7a-a6e9-0b7fd27b7b2a","ec59b58c-fbed-4c65-8860-0ac83be45d75","06a82e06-ea82-48e8-b035-b5060ec10e65","5c94332e-140b-4438-a365-00c472e1223c","8830a2c7-48bd-4362-86d5-1fb1ad90671d","6fd3a2d3-4531-48cf-a92c-c66d82d8ca02"],"responses":{"200":"1864074f-9c2d-4ab5-b295-1d7d334a7d7a"},"x-codeSamples":[{"lang":"csharp","label":"C# .NET SDK","source":"using Corti.Documents;\nusing Corti;\n\nvar client = new CortiClient(\n \"TENANT_NAME\",\n CortiClientEnvironment.Eu,\n new CortiClientAuth.ClientCredentials(\"client_id\", \"client_secret\")\n);\nawait client.Documents.Templates.ListAsync(new GuidedTemplatesListRequest());\n"},{"lang":"javascript","label":"JavaScript SDK","source":"import { CortiClient, CortiEnvironment } from \"@corti/sdk\";\n\nconst client = new CortiClient({\n environment: CortiEnvironment.Eu,\n auth: {\n clientId: \"YOUR_CLIENT_ID\",\n clientSecret: \"YOUR_CLIENT_SECRET\"\n },\n tenantName: \"YOUR_TENANT_NAME\"\n});\nawait client.documents.templates.list();\n"}],"method":"get","type":"path","servers":["e28b1232-d248-4e01-9e62-262b94876da6"],"security":["604ea4ae-7224-4e00-bccd-8cfa09175ed7"],"path":"/documents/templates/","baseUrlOptions":["https://api.{environment}.corti.app/v2/"],"title":"List templates","codeSamples":[{"label":"C# .NET SDK","lang":"csharp","source":"using Corti.Documents;\nusing Corti;\n\nvar client = new CortiClient(\n \"TENANT_NAME\",\n CortiClientEnvironment.Eu,\n new CortiClientAuth.ClientCredentials(\"client_id\", \"client_secret\")\n);\nawait client.Documents.Templates.ListAsync(new GuidedTemplatesListRequest());\n"},{"label":"JavaScript SDK","lang":"javascript","source":"import { CortiClient, CortiEnvironment } from \"@corti/sdk\";\n\nconst client = new CortiClient({\n environment: CortiEnvironment.Eu,\n auth: {\n clientId: \"YOUR_CLIENT_ID\",\n clientSecret: \"YOUR_CLIENT_SECRET\"\n },\n tenantName: \"YOUR_TENANT_NAME\"\n});\nawait client.documents.templates.list();\n"}],"requestExampleLanguages":["bash","javascript","csharp","python","php","go","java"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"55dbeb69-2144-4ada-a483-5dddcabb621b":{"name":"Tenant-Name","in":"header","description":"Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.","required":true,"example":"base","schema":{"type":"string","description":"Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.","example":"base","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"94d03c8e-cf8f-4c7a-a6e9-0b7fd27b7b2a":{"name":"lang","in":"query","description":"Filter templates by BCP 47 language tag (e.g. `fr`, `de`, or `en-GB`). Repeatable.","schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter templates by BCP 47 language tag (e.g. `fr`, `de`, or `en-GB`). Repeatable.","uniqueKey":"","typeLabel":"string[]"},"style":"form","explode":true},"ec59b58c-fbed-4c65-8860-0ac83be45d75":{"name":"region","in":"query","description":"Filter templates by ISO 3166-1 alpha-3 region code (e.g. `BEL`). Repeatable.","schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter templates by ISO 3166-1 alpha-3 region code (e.g. `BEL`). Repeatable.","uniqueKey":"","typeLabel":"string[]"},"style":"form","explode":true},"06a82e06-ea82-48e8-b035-b5060ec10e65":{"name":"specialty","in":"query","description":"Filter templates by clinical specialty. Repeatable.","schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter templates by clinical specialty. Repeatable.","uniqueKey":"","typeLabel":"string[]"},"style":"form","explode":true},"5c94332e-140b-4438-a365-00c472e1223c":{"name":"label","in":"query","description":"Filter templates by label in `key:value` format. Repeatable; matches templates that have any of the given labels.","schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"Filter templates by label in `key:value` format. Repeatable; matches templates that have any of the given labels.","uniqueKey":"","typeLabel":"string[]"},"style":"form","explode":true},"8830a2c7-48bd-4362-86d5-1fb1ad90671d":{"name":"published","in":"query","description":"Filter by publish status. Omit to return both published and unpublished items; set to `true` for published only, `false` for unpublished only.","schema":{"type":"boolean","description":"Filter by publish status. Omit to return both published and unpublished items; set to `true` for published only, `false` for unpublished only.","uniqueKey":"","typeLabel":"boolean"}},"6fd3a2d3-4531-48cf-a92c-c66d82d8ca02":{"name":"source","in":"query","description":"Filter by source. Omit to return both. `user` returns only user/client-created templates; `corti` returns only Corti standard templates.","schema":{"type":"string","description":"Filter by source. Omit to return both. `user` returns only user/client-created templates; `corti` returns only Corti standard templates.\nFilter by content source.","enum":["user","corti"],"uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"responses":{"1864074f-9c2d-4ab5-b295-1d7d334a7d7a":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","description":"Template metadata as returned by the LIST /documents/templates endpoint. Does not\ninclude the resolved `publishedVersion` — use GET /documents/templates/{templateID}\nto fetch a single template with its published version resolved.\n","required":["id","name","languages","regions","specialties","labels","createdAt","updatedAt"],"properties":{"id":{"description":"The UUID of the template.","type":"string","format":"uuid","isRequired":true,"uniqueKey":"items.[INDEX].id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"The name of this template. Not passed to the LLM.","isRequired":true,"uniqueKey":"items.[INDEX].name","typeLabel":"string"},"languages":{"description":"BCP 47 language tags this template has been tweaked for (e.g. `[\"fr\", \"de\", \"en-GB\"]`). Empty means no language-specific tweaks.","type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].languages.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"items.[INDEX].languages","typeLabel":"string[]"},"regions":{"description":"ISO 3166-1 alpha-3 country codes this template has been tweaked for (e.g. `[\"BEL\"]`). Empty means no region-specific tweaks.","type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].regions.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"items.[INDEX].regions","typeLabel":"string[]"},"specialties":{"description":"Clinical specialties this template has been tweaked for. Empty means no specialty-specific tweaks.","type":"array","items":{"type":"string","uniqueKey":"items.[INDEX].specialties.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"items.[INDEX].specialties","typeLabel":"string[]"},"labels":{"description":"The available labels to use as query param filter in the LIST /templates endpoint.","type":"array","items":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string","isRequired":true,"uniqueKey":"items.[INDEX].labels.items.[INDEX].key","typeLabel":"string"},"value":{"type":"string","isRequired":true,"uniqueKey":"items.[INDEX].labels.items.[INDEX].value","typeLabel":"string"}},"uniqueKey":"items.[INDEX].labels.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"items.[INDEX].labels","typeLabel":"object[]"},"createdAt":{"description":"The original timestamp when the template was created.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"items.[INDEX].createdAt","typeLabel":"string\u003cdate-time>"},"updatedAt":{"description":"The original timestamp when the template was last updated.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"items.[INDEX].updatedAt","typeLabel":"string\u003cdate-time>"},"inheritedFromId":{"oneOf":[{"description":"Reference to the template to inherit template instructions and sections from. Inherits from published version by default.","type":"string","format":"uuid","uniqueKey":"items.[INDEX].inheritedFromId.oneOf.0","typeLabel":"string\u003cuuid>"},{"description":"Reference to the template to inherit template instructions and sections from. Inherits from published version by default.","type":"null","format":"uuid","uniqueKey":"items.[INDEX].inheritedFromId.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].inheritedFromId","typeLabel":"string\u003cuuid> | null"},"autoGenerated":{"description":"True if the template was auto-generated based on the section-composed POST /documents request.","type":"boolean","uniqueKey":"items.[INDEX].autoGenerated","typeLabel":"boolean"},"source":{"description":"Whether this template was created by the user, a project-related API Client or is a Corti standard resource.","type":"string","enum":["user","corti","project"],"uniqueKey":"items.[INDEX].source","typeLabel":"enum\u003cstring>"},"description":{"description":"A description for this template. Not passed to the LLM.","type":"string","uniqueKey":"items.[INDEX].description","typeLabel":"string"},"createdBy":{"description":"The UUID of the creator of this template.","type":"string","format":"uuid","uniqueKey":"items.[INDEX].createdBy","typeLabel":"string\u003cuuid>"},"deletedAt":{"oneOf":[{"description":"Present when the template has been deleted. GET by ID still returns the full resource with this field populated.","type":"string","format":"date-time","uniqueKey":"items.[INDEX].deletedAt.oneOf.0","typeLabel":"string\u003cdate-time>"},{"description":"Present when the template has been deleted. GET by ID still returns the full resource with this field populated.","type":"null","format":"date-time","uniqueKey":"items.[INDEX].deletedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].deletedAt","typeLabel":"string\u003cdate-time> | null"}},"uniqueKey":"items.[INDEX]","typeLabel":"object"},"uniqueKey":"","typeLabel":"object[]"},"examples":{"Example":{"title":"Example","value":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"\u003cstring>","languages":["\u003cstring>"],"regions":["\u003cstring>"],"specialties":["\u003cstring>"],"labels":[{"key":"\u003cstring>","value":"\u003cstring>"}],"createdAt":"2023-11-07T05:31:56Z","updatedAt":"2023-11-07T05:31:56Z","inheritedFromId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","autoGenerated":true,"source":"user","description":"\u003cstring>","createdBy":"3c90c3cc-0d44-4b50-8888-8dd25736052a","deletedAt":"2023-11-07T05:31:56Z"}]}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"604ea4ae-7224-4e00-bccd-8cfa09175ed7":{"AuthorizationHeader":{"type":"http","description":"Input your token","scheme":"bearer","scopes":["bearer"],"schemeName":"AuthorizationHeader"}}},"servers":{"e28b1232-d248-4e01-9e62-262b94876da6":{"url":"https://api.{environment}.corti.app/v2/","variables":{"environment":{"default":"eu","enum":["us","eu"]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"Input your token","scheme":"bearer","scopes":["bearer"],"schemeName":"AuthorizationHeader"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Input your token","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"AuthorizationHeader","name":"Authorization"}],"title":"AuthorizationHeader"}]},"originalFileLocation":"api-reference/auto-generated-openapi.yml"},"subdomain":"corti","siteName":"Corti API Documentation","title":"List templates - Corti API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T15:15:02.710Z","originalFileLocation":"api-reference/guided-templates/list-templates.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections. Use query parameters to filter by language, region, specialty, label, publish status, or source.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Corti API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List templates - Corti API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections. Use query parameters to filter by language, region, specialty, label, publish status, or source.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Corti API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.corti.ai/api-reference/guided-templates/list-templates\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://corti.mintlify.site/_mintlify/api/og/v2?division=Guided+Templates\u0026amp;title=List+templates\u0026amp;description=Returns+a+list+of+templates+and+their+metadata.+Fetch+a+specific+templateId+to+get+the+expanded+sections.%0AUse+query+parameters+to+filter+by+language%2C+region%2C+sp\u0026amp;theme=34b80329efcd2beff359af85\u0026amp;signature=bc1330542c623513aaee496b0f9ba8e51ce23f041cb005d9a129b6886eea7c36\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List templates - Corti API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections. Use query parameters to filter by language, region, specialty, label, publish status, or source.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://corti.mintlify.site/_mintlify/api/og/v2?division=Guided+Templates\u0026amp;title=List+templates\u0026amp;description=Returns+a+list+of+templates+and+their+metadata.+Fetch+a+specific+templateId+to+get+the+expanded+sections.%0AUse+query+parameters+to+filter+by+language%2C+region%2C+sp\u0026amp;theme=34b80329efcd2beff359af85\u0026amp;signature=bc1330542c623513aaee496b0f9ba8e51ce23f041cb005d9a129b6886eea7c36\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/corti/gI_ok5T7zaR8y4z1/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Corti API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3F3F46\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.corti.ai/api-reference/guided-templates/list-templates\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/guided-templates/list-templates.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.corti.ai/#organization\",\"name\":\"Corti API Documentation\",\"url\":\"https://docs.corti.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/corti/en_RPjQCFb1qJpbU/logo/corti_light.svg?fit=max\u0026auto=format\u0026n=en_RPjQCFb1qJpbU\u0026q=85\u0026s=effbca890e531e034f6b66ce8e15aa6c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.corti.ai#website\",\"name\":\"Corti API Documentation\",\"url\":\"https://docs.corti.ai\",\"publisher\":{\"@id\":\"https://docs.corti.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates#webpage\",\"url\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates\",\"name\":\"List templates\",\"description\":\"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections. Use query parameters to filter by language, region, specialty, label, publish status, or source.\",\"dateModified\":\"2026-10-29T15:15:02.710Z\",\"isPartOf\":{\"@id\":\"https://docs.corti.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST APIs\",\"item\":\"https://docs.corti.ai/api-reference/interactions/list-all-interactions\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List templates\",\"item\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates#apireference\",\"headline\":\"List templates\",\"name\":\"List templates\",\"description\":\"Returns a list of templates and their metadata. Fetch a specific templateId to get the expanded sections. Use query parameters to filter by language, region, specialty, label, publish status, or source.\",\"url\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates\",\"mainEntityOfPage\":{\"@id\":\"https://docs.corti.ai/api-reference/guided-templates/list-templates#webpage\"},\"dateModified\":\"2026-10-29T15:15:02.710Z\",\"publisher\":{\"@id\":\"https://docs.corti.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.corti.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Corti API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Corti API Documentation","nav":{"global":null,"tabs":[{"tab":"Home","icon":"house","pages":[{"title":"Home","href":"/get_started/welcome"}]},{"tab":"Corti Models","icon":"microchip","pages":[{"title":"Corti Models","href":"/models/welcome"}]},{"tab":"Agentic Framework","icon":"layers","pages":[{"title":"Agentic Framework","href":"/agentic/overview"}]},{"tab":"Speech to Text","icon":"audio-lines","pages":[{"title":"Speech to Text","href":"/stt/overview"}]},{"tab":"Healthcare","icon":"heart-pulse","pages":[{"title":"Healthcare","href":"/healthcare"}]},{"tab":"API Reference","icon":"square-code","pages":[{"title":"Welcome to the Corti API Reference","sidebarTitle":"Welcome","mode":"wide","href":"/api-reference/welcome"},{"group":"Corti Models APIs","icon":"microchip","pages":[{"group":"Models","pages":[{"title":"List available models","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml get /v1/models","href":"/api-reference/corti-models/models/list-available-models"}]},{"group":"Chat","pages":[{"title":"Create chat completion","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml post /v1/chat/completions","href":"/api-reference/corti-models/chat/create-chat-completion"}]},{"group":"Completions","pages":[{"title":"Create completion","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml post /v1/completions","href":"/api-reference/corti-models/completions/create-completion"}]},{"group":"Responses","pages":[{"title":"Create response","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml post /v1/responses","href":"/api-reference/corti-models/responses/create-response"}]},{"group":"Anthropic","pages":[{"title":"Create message (Anthropic)","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml post /anthropic/v1/messages","href":"/api-reference/corti-models/anthropic/create-message-anthropic"}]},{"group":"Embeddings","pages":[{"title":"Create embeddings","deprecated":null,"version":null,"openapi":"/api-reference/corti-models/corti-models-openapi.yml post /v1/embeddings","href":"/api-reference/corti-models/embeddings/create-embeddings"}]}]},{"group":"Agentic APIs","icon":"layers","pages":[{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents","href":"/agentic-v2/agents/list-agents"},{"title":"Create an agent","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents","href":"/agentic-v2/agents/create-an-agent"},{"title":"Get an agent","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}","href":"/agentic-v2/agents/get-an-agent"},{"title":"Delete an agent","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml delete /agentic/agents/{agentId}","href":"/agentic-v2/agents/delete-an-agent"},{"title":"Update an agent (partial)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml patch /agentic/agents/{agentId}","href":"/agentic-v2/agents/update-an-agent-partial"}]},{"group":"Agent Card","pages":[{"title":"Get the A2A agent card","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/.well-known/agent-card.json","href":"/agentic-v2/agent-card/get-the-a2a-agent-card"}]},{"group":"A2A","pages":[{"title":"A2A JSON-RPC binding","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/a2a","href":"/agentic-v2/a2a/a2a-json-rpc-binding"},{"title":"Send a message (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/a2a/message:send","href":"/agentic-v2/a2a/send-a-message-a2a-rest"},{"title":"Stream a message (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/a2a/message:stream","href":"/agentic-v2/a2a/stream-a-message-a2a-rest"},{"title":"List tasks (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/a2a/tasks","href":"/agentic-v2/a2a/list-tasks-a2a-rest"},{"title":"Get a task (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/a2a/tasks/{taskId}","href":"/agentic-v2/a2a/get-a-task-a2a-rest"},{"title":"Cancel a task (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/a2a/tasks/{taskId}:cancel","href":"/agentic-v2/a2a/cancel-a-task-a2a-rest"},{"title":"Subscribe to task events (A2A REST)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/a2a/tasks/{taskId}:subscribe","href":"/agentic-v2/a2a/subscribe-to-task-events-a2a-rest"}]},{"group":"Usage","pages":[{"title":"Get an agent's usage","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/usage","href":"/agentic-v2/usage/get-an-agents-usage"}]},{"group":"Connectors","pages":[{"title":"List an agent's connectors","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/connectors","href":"/agentic-v2/connectors/list-an-agents-connectors"},{"title":"Attach a connector","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/agents/{agentId}/connectors","href":"/agentic-v2/connectors/attach-a-connector"},{"title":"Get an agent-scoped connector","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/agents/{agentId}/connectors/{agentConnectorId}","href":"/agentic-v2/connectors/get-an-agent-scoped-connector"},{"title":"Remove a connector","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml delete /agentic/agents/{agentId}/connectors/{agentConnectorId}","href":"/agentic-v2/connectors/remove-a-connector"},{"title":"Update an agent-scoped connector (partial)","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml patch /agentic/agents/{agentId}/connectors/{agentConnectorId}","href":"/agentic-v2/connectors/update-an-agent-scoped-connector-partial"}]},{"group":"Contexts","pages":[{"title":"List contexts","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts","href":"/agentic-v2/contexts/list-contexts"},{"title":"Get a context","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}","href":"/agentic-v2/contexts/get-a-context"},{"title":"Delete or expire a context","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml delete /agentic/contexts/{contextId}","href":"/agentic-v2/contexts/delete-or-expire-a-context"},{"title":"Export the observability trace for a context","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}/trace","href":"/agentic-v2/contexts/export-the-observability-trace-for-a-context"},{"title":"List tasks within a context","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}/tasks","href":"/agentic-v2/contexts/list-tasks-within-a-context"},{"title":"Get a task within a context","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}/tasks/{taskId}","href":"/agentic-v2/contexts/get-a-task-within-a-context"}]},{"group":"Artifacts","pages":[{"title":"Get an artifact","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}/tasks/{taskId}/artifacts/{artifactId}","href":"/agentic-v2/artifacts/get-an-artifact"}]},{"group":"Registry","pages":[{"title":"List available registry connectors","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/registry/connectors","href":"/agentic-v2/registry/list-available-registry-connectors"},{"title":"Get registry connector details and configuration schema","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/registry/connectors/{connectorId}","href":"/agentic-v2/registry/get-registry-connector-details-and-configuration-schema"}]},{"group":"Feedback","pages":[{"title":"List feedback for a task","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml get /agentic/contexts/{contextId}/tasks/{taskId}/feedback","href":"/agentic-v2/feedback/list-feedback-for-a-task"},{"title":"Submit feedback for a task","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml post /agentic/contexts/{contextId}/tasks/{taskId}/feedback","href":"/agentic-v2/feedback/submit-feedback-for-a-task"},{"title":"Delete a feedback resource","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi-v2.yml delete /agentic/contexts/{contextId}/tasks/{taskId}/feedback/{feedbackId}","href":"/agentic-v2/feedback/delete-a-feedback-resource"}]}]},{"group":"Web Socket APIs","icon":"handshake","pages":[{"group":"Transcribe","pages":[{"title":"Real-time stateless dictation","sidebarTitle":"Stateless dictation","tag":"WSS","href":"/api-reference/transcribe"}]},{"group":"Streams","pages":[{"title":"Real-time conversational transcript generation and fact extraction (FactsR™)","sidebarTitle":"Conversational fact extraction","tag":"WSS","href":"/api-reference/streams"}]}]},{"group":"REST APIs","icon":"arrow-up-down","pages":[{"group":"Interactions","pages":[{"title":"List All Interactions","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/","href":"/api-reference/interactions/list-all-interactions"},{"title":"Create Interaction","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/","href":"/api-reference/interactions/create-interaction"},{"title":"Get Existing Interaction","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}","href":"/api-reference/interactions/get-existing-interaction"},{"title":"Delete Interaction","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /interactions/{id}","href":"/api-reference/interactions/delete-interaction"},{"title":"Update Interaction","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /interactions/{id}","href":"/api-reference/interactions/update-interaction"},{"title":"Update Interaction Retention Policy","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml put /interactions/{id}/retention-policy","href":"/api-reference/interactions/update-interaction-retention-policy"}]},{"group":"Recordings","pages":[{"title":"List Recordings","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/recordings/","href":"/api-reference/recordings/list-recordings"},{"title":"Upload Recording","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/{id}/recordings/","href":"/api-reference/recordings/upload-recording"},{"title":"Get Recording","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/recordings/{recordingId}","href":"/api-reference/recordings/get-recording"},{"title":"Delete Recording","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /interactions/{id}/recordings/{recordingId}","href":"/api-reference/recordings/delete-recording"}]},{"group":"Transcripts","pages":[{"title":"List Transcripts","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/transcripts/","href":"/api-reference/transcripts/list-transcripts"},{"title":"Create Transcript","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/{id}/transcripts/","href":"/api-reference/transcripts/create-transcript"},{"title":"Get Transcript","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/transcripts/{transcriptId}","href":"/api-reference/transcripts/get-transcript"},{"title":"Delete Transcript","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /interactions/{id}/transcripts/{transcriptId}","href":"/api-reference/transcripts/delete-transcript"},{"title":"Get Transcript Status","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/transcripts/{transcriptId}/status","href":"/api-reference/transcripts/get-transcript-status"}]},{"group":"Facts","pages":[{"title":"List Fact Groups","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /factgroups/","href":"/api-reference/facts/list-fact-groups"},{"title":"List Facts","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/facts/","href":"/api-reference/facts/list-facts"},{"title":"Add Facts","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/{id}/facts/","href":"/api-reference/facts/add-facts"},{"title":"Update Facts","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /interactions/{id}/facts/","href":"/api-reference/facts/update-facts"},{"title":"Update Fact","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /interactions/{id}/facts/{factId}","href":"/api-reference/facts/update-fact"},{"title":"Extract Facts","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /tools/extract-facts","href":"/api-reference/facts/extract-facts"}]},{"group":"Documents (Classic)","pages":[{"title":"List Documents","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/documents/","href":"/api-reference/documents-classic/list-documents"},{"title":"Generate Document","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/{id}/documents/","href":"/api-reference/documents-classic/generate-document"},{"title":"Get Document","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/documents/{documentId}","href":"/api-reference/documents-classic/get-document"},{"title":"Delete Document","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /interactions/{id}/documents/{documentId}","href":"/api-reference/documents-classic/delete-document"},{"title":"Update Document","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /interactions/{id}/documents/{documentId}","href":"/api-reference/documents-classic/update-document"}]},{"group":"Templates (Classic)","pages":[{"title":"List Template Sections","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /templateSections/","href":"/api-reference/templates-classic/list-template-sections"},{"title":"List Templates","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /templates/","href":"/api-reference/templates-classic/list-templates"},{"title":"Get Template","deprecated":true,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /templates/{key}","href":"/api-reference/templates-classic/get-template"}]},{"group":"Codes (Legacy)","pages":[{"title":"List Codes","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /interactions/{id}/codes/","href":"/api-reference/codes-legacy/list-codes"},{"title":"Select Codes","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml put /interactions/{id}/codes/","href":"/api-reference/codes-legacy/select-codes"},{"title":"Generate Codes","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /interactions/{id}/codes/","href":"/api-reference/codes-legacy/generate-codes"}]},{"group":"Codes","pages":[{"title":"Predict Codes","description":"Predict medical codes from provided context.\u003cbr/>\u003cNote>This is a stateless endpoint, designed to predict ICD-10-CM, ICD-10-PCS, ICD-10 (international), ICD-10-UK, CIM-10-FR, ICD-10-GM, OPCS-4, OPS, CCAM, CPT, SNOMED CT, MedDRA, SKS, KVÅ and ICD-O-3 codes based on input text string or documentId.\u003cbr/>\u003cbr/>More than one code system may be defined in a single request.\u003cbr/>\u003cbr/>Code prediction requests have two possible values for context:\u003cbr/>- `text`: One set of code prediction results will be returned based on all input text defined.\u003cbr/>- `documentId`: Code prediction will be based on that defined document only.\u003cbr/>\u003cbr/>The response includes two sets of results:\u003cbr/>- `Codes`: Codes predicted by the model.\u003cbr/>- `Candidates`: Lower-confidence codes the model considered potentially relevant but excluded from the predicted set.\u003cbr/>\u003cbr/>All predicted code results are based on input context defined in the request only (not other external data or assets associated with an interaction).\u003c/Note>","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /tools/coding/","href":"/api-reference/codes/predict-codes"}]},{"group":"Guided Templates","pages":[{"title":"List templates","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/","href":"/api-reference/guided-templates/list-templates"},{"title":"Create template","description":"Creates a new template with an initial version. When `publish` is true (default),\nthe response includes the published version with full inheritance resolution applied\n(template-level and section-level inheritance walked).\n","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/templates/","href":"/api-reference/guided-templates/create-template"},{"title":"Get template","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/{templateID}","href":"/api-reference/guided-templates/get-template"},{"title":"Delete template","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /documents/templates/{templateID}","href":"/api-reference/guided-templates/delete-template"},{"title":"Update template metadata","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /documents/templates/{templateID}","href":"/api-reference/guided-templates/update-template-metadata"},{"title":"List template versions","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/{templateID}/versions/","href":"/api-reference/guided-templates/list-template-versions"},{"title":"Create template version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/templates/{templateID}/versions/","href":"/api-reference/guided-templates/create-template-version"},{"title":"Get template version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/templates/{templateID}/versions/{versionID}","href":"/api-reference/guided-templates/get-template-version"},{"title":"Delete template version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /documents/templates/{templateID}/versions/{versionID}","href":"/api-reference/guided-templates/delete-template-version"},{"title":"Publish template version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/templates/{templateID}/versions/{versionID}/publish","href":"/api-reference/guided-templates/publish-template-version"}]},{"group":"Guided Sections","pages":[{"title":"List sections","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/sections/","href":"/api-reference/guided-sections/list-sections"},{"title":"Create section","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/sections/","href":"/api-reference/guided-sections/create-section"},{"title":"Get section","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/sections/{sectionID}","href":"/api-reference/guided-sections/get-section"},{"title":"Delete section","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /documents/sections/{sectionID}","href":"/api-reference/guided-sections/delete-section"},{"title":"Update section metadata","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /documents/sections/{sectionID}","href":"/api-reference/guided-sections/update-section-metadata"},{"title":"List section versions","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/sections/{sectionID}/versions/","href":"/api-reference/guided-sections/list-section-versions"},{"title":"Create section version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/sections/{sectionID}/versions/","href":"/api-reference/guided-sections/create-section-version"},{"title":"Get section version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/sections/{sectionID}/versions/{versionID}","href":"/api-reference/guided-sections/get-section-version"},{"title":"Delete section version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /documents/sections/{sectionID}/versions/{versionID}","href":"/api-reference/guided-sections/delete-section-version"},{"title":"Publish section version","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/sections/{sectionID}/versions/{versionID}/publish","href":"/api-reference/guided-sections/publish-section-version"},{"title":"Get section impact","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/sections/{sectionID}/impact","href":"/api-reference/guided-sections/get-section-impact"}]},{"group":"Guided Documents","pages":[{"title":"List documents","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/","href":"/api-reference/guided-documents/list-documents"},{"title":"Generate a structured document","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml post /documents/","href":"/api-reference/guided-documents/generate-a-structured-document"},{"title":"Get document","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /documents/{documentID}","href":"/api-reference/guided-documents/get-document"},{"title":"Delete document","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml delete /documents/{documentID}","href":"/api-reference/guided-documents/delete-document"},{"title":"Update document","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml patch /documents/{documentID}","href":"/api-reference/guided-documents/update-document"}]},{"group":"Languages","pages":[{"title":"List Languages","deprecated":null,"version":null,"openapi":"/api-reference/auto-generated-openapi.yml get /languages/","href":"/api-reference/languages/list-languages"}]}]},{"group":"Admin APIs","icon":"shield-check","pages":[{"group":"Auth","pages":[{"title":"Authenticate user and get access token","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml post /auth/token","href":"/api-reference/admin/auth/authenticate-user-and-get-access-token"}]},{"group":"Customers","pages":[{"title":"List customers for a project","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/customers","href":"/api-reference/admin/customers/list-customers-for-a-project"},{"title":"Create a new customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml post /projects/{projectId}/customers","href":"/api-reference/admin/customers/create-a-new-customer"},{"title":"Delete a customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml delete /projects/{projectId}/customers/{customerId}","href":"/api-reference/admin/customers/delete-a-customer"},{"title":"Update a customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml patch /projects/{projectId}/customers/{customerId}","href":"/api-reference/admin/customers/update-a-customer"},{"title":"Get quotas for a customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/customers/{customerId}/quotas","href":"/api-reference/admin/customers/get-quotas-for-a-customer"}]},{"group":"Projects","pages":[{"title":"Get quotas for all tenants within a project","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/quotas","href":"/api-reference/admin/projects/get-quotas-for-all-tenants-within-a-project"}]},{"group":"Users","pages":[{"title":"List users for a customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/customers/{customerId}/users","href":"/api-reference/admin/users/list-users-for-a-customer"},{"title":"Create a new user and add it to the customer","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml post /projects/{projectId}/customers/{customerId}/users","href":"/api-reference/admin/users/create-a-new-user-and-add-it-to-the-customer"},{"title":"Get a user by ID","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/customers/{customerId}/users/{userId}","href":"/api-reference/admin/users/get-a-user-by-id"},{"title":"Update a user","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml patch /projects/{projectId}/customers/{customerId}/users/{userId}","href":"/api-reference/admin/users/update-a-user"},{"title":"Get usage consumption for a user within a time window","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml get /projects/{projectId}/customers/{customerId}/users/{userId}/consumption","href":"/api-reference/admin/users/get-usage-consumption-for-a-user-within-a-time-window"},{"title":"Delete a user","deprecated":null,"version":null,"openapi":"/api-reference/admin/admin-openapi.yml delete /projects/{projectId}/customers/{customerId}/users/{userId}/consumption","href":"/api-reference/admin/users/delete-a-user"}]}]},{"group":"Errors","icon":"triangle-alert","pages":[{"title":"Errors","href":"/api-reference/errors"}]},{"group":"Agentic APIs v1 (deprecated)","icon":"layers","pages":[{"group":"Agents","pages":[{"title":"List Agents","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents","href":"/agentic/agents/list-agents"},{"title":"Create Agent","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml post /agents","href":"/agentic/agents/create-agent"},{"title":"Get Agent by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents/{id}","href":"/agentic/agents/get-agent-by-id"},{"title":"Delete Agent by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml delete /agents/{id}","href":"/agentic/agents/delete-agent-by-id"},{"title":"Update Agent by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml patch /agents/{id}","href":"/agentic/agents/update-agent-by-id"},{"title":"Get Agent Card","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents/{id}/agent-card.json","href":"/agentic/agents/get-agent-card"},{"title":"Send Message to Agent","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml post /agents/{id}/v1/message:send","href":"/agentic/agents/send-message-to-agent"},{"title":"Get Task by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents/{id}/v1/tasks/{taskId}","href":"/agentic/agents/get-task-by-id"},{"title":"Get Context by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents/{id}/v1/contexts/{contextId}","href":"/agentic/agents/get-context-by-id"},{"title":"Delete Context by ID","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml delete /agents/{id}/v1/contexts/{contextId}","href":"/agentic/agents/delete-context-by-id"},{"title":"List Registry Experts","deprecated":null,"version":null,"openapi":"/agentic/auto-generated-openapi.yml get /agents/registry/experts","href":"/agentic/agents/list-registry-experts"}]}]}]}]},"basePath":"","title":"List templates - Corti API Documentation","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-BcDCEkh6.js","dist-CwjSCXIK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-eKJ4rcii.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","AssistantPageLink-9EK5IAXV.js"]}